package com.hxhq.business.enums;

/**
 * 类型：1：物资；3：一般表单；5：填报表单
 * @author tanfei
 */
public enum SnTypeEnum {

    /**
     * 需要年月日
     */
    date(1, "需要年月日"),

    /**
     * 不需要
     */
    noDate(3, "不需要");

    private int value;
    private String text;

    SnTypeEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static SnTypeEnum getEnumByValue(int type) {
        for (SnTypeEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
